commit:     1e63ee6ed11f99cfdfb45e26fa6cca31e9f95ea4
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 17 03:30:46 2018 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Sun Jun 17 03:37:21 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e63ee6e

dev-python/PySocks: version bump to 1.6.8

 dev-python/PySocks/Manifest             |  1 +
 dev-python/PySocks/PySocks-1.6.8.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-python/PySocks/Manifest b/dev-python/PySocks/Manifest
index 0d9f184ee6d..7778f15697b 100644
--- a/dev-python/PySocks/Manifest
+++ b/dev-python/PySocks/Manifest
@@ -1 +1,2 @@
 DIST PySocks-1.6.7.tar.gz 282874 BLAKE2B 
9e4ecf57f6cb9b7690ba68e21b3e52a535a08490b78ad5d8bd90384acf26f16e6a08018eaa7e91763b94182119217404b235425fce146af7e989c5e39e5e07dc
 SHA512 
e49ce2f4ce23fd84ce30a62a5585af3c63980db46e7d427571d8fb8f6b85f4b6aeb37066863491496dd322555a5ce261123d613b8e5819dbdcef8a4e17e5dca0
+DIST PySocks-1.6.8.tar.gz 283450 BLAKE2B 
72b52fcdb9f3dc3bd71ca75cdbaa159c0b35a81fd4ed9476ab043819dad3efac76615bc751fc6014e1358a13a3a735023bae7f502e2863b5e733982c16758db1
 SHA512 
9b544cf11464142a5f347cd5688b48422249363a425ccf3887117152f2f1969713674c4bba714242432ae85f3d62e03edeb9cb7b73ebd225ed3b47b3da6896d5

diff --git a/dev-python/PySocks/PySocks-1.6.8.ebuild 
b/dev-python/PySocks/PySocks-1.6.8.ebuild
new file mode 100644
index 00000000000..1353c596278
--- /dev/null
+++ b/dev-python/PySocks/PySocks-1.6.8.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy{,3} )
+
+inherit distutils-r1
+
+DESCRIPTION="SOCKS client module"
+HOMEPAGE="https://github.com/Anorov/PySocks https://pypi.org/project/PySocks/";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~x64-cygwin ~amd64-fbsd ~amd64-linux ~x86-linux ~x64-macos 
~x64-solaris"
+IUSE="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )"
+
+# Required module test-server isn't in the tree yet and once that's added
+# psutil will need keywords added as well since it's used too.
+RESTRICT=test
+
+python_test() {
+       py.test -v || die "Tests fail with ${EPYTHON}"
+}

Reply via email to